<EntityClassDefinition.RSI_Aurora_Cargo_Rack_3SCU __id="1b67c44b-1456-4cb5-afc0-3a68c9482354" __path="libs/foundry/records/entities/scitem/ships/module/rsi/rsi_aurora_cargo_rack_3scu.xml" __type="EntityClassDefinition" BBoxSelection="1" Category="Items" entityDensityClass="a153bc13-b348-47a4-8bae-1ce22b0b4023" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="093e6eba-93fa-4dad-b3dd-38966934e34e" RequiredTags="RSI_Aurora_Base" Size="4" SubType="Cargo" Tags="" Type="Container">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/spaceships/ships/rsi/aurora/exterior/rsi_aurora_cargo_rack_3scu.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="1.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutManualParams">
        <entries>
          <SItemPortLoadoutEntryParams __type="SItemPortLoadoutEntryParams" entityClassName="RSI_Aurora_ES_CargoGrid_Main" inventoryContainer="None" itemPortName="hardpoint_cargo_grid" loadout="None" />
        </entries>
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="uneditable" InteractionPointSize="-1.0" MaxSize="1" MinSize="1" Name="hardpoint_cargo_grid" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="hardpoint_cargo_grid" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="CargoGrid">
              <SubTypes />
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <SHealthComponentParams __type="SBaseHealthComponentParams" __polymorphicType="SHealthComponentParams" ClientOnly="0" DeathExplosionParams="None" DebrisGeometryTag="" DestroyedGeometryTag="" DetachFromEntityOnDeath="0" DetachFromItemPortOnDeath="0" ExplodedGeometryTag="" ExplosionBone="" ExplosionDelayTime="0.0" ExplosionRandomDelayRange="0.0" Health="250.0" InitialDamage="None" IsRepairable="1" IsSalvagable="1" PropagateExplosionDamageToChildren="0" PushDamageUpPartsHeirarchyWhenDead="1" UnlockInteractionsOnDeath="0" UseDirtShaderForDamage="0">
      <DamageResistances __type="DamageResistanceBase" __polymorphicType="DamageResistance">
        <BiochemicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <DistortionResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <EnergyResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <PhysicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <StunResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <ThermalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
      </DamageResistances>
      <DeathGasComposition />
      <HealthLevelStates />
      <InteractionLocks />
    </SHealthComponentParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.RSI_Aurora_Cargo_Rack_3SCU>